<?php
/*
Plugin Name: Moo Gravatar Box
Plugin URI: http://www.3dolab.net/en/mootools-gravatar-box
Description: Automatically shows a gravatar box in the comment form, based on the MooTools framework
Author: 3dolab
Version: 0.4
Author URI: http://www.3dolab.net
License: GPL2

    Copyright 2011  3dolab  (email : boss@3dolab.net)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2,
    as published by the Free Software Foundation.

    You may NOT assume that you can use any other version of the GPL.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    The license for this software can likely be found here:
    http://www.gnu.org/licenses/gpl-2.0.html

*/

add_action('wp_print_scripts','gravbox_load');
function gravbox_load() {
	// only bother to load stuff on pages where the comment box is likely to be
	if (is_singular() || is_comments_popup()) {
		wp_register_script('moocore',WP_PLUGIN_URL . '/'.dirname( plugin_basename(__FILE__)).'/mootools-1.2.5-core-yc.js', false, '1.2');
		wp_enqueue_script('moocore');
		wp_enqueue_script('string-utf8', WP_PLUGIN_URL . '/'.dirname( plugin_basename(__FILE__)).'/string.utf8.js',array('moocore'), '1.0');
		wp_enqueue_script('string-md5', WP_PLUGIN_URL . '/'.dirname( plugin_basename(__FILE__)).'/string.md5.js',array('string-utf8'), '1.0');
		wp_enqueue_script('gravbox', WP_PLUGIN_URL . '/'.dirname( plugin_basename(__FILE__)).'/gravbox.js',array('string-md5'), '1.0');
	}
}


function gravbox() {
	if (is_user_logged_in()) {
		$user = wp_get_current_user();
		echo '<div id="gravbox"><div class="gravatar_frame">';
		echo get_avatar( $user->id, 96 );
		echo '</div></div>';
	} else {
		echo '<div id="gravbox"></div>';
	}
}

add_action('comment_form_before_fields','gravbox');
